import request from '@/utils/request';
import { AxiosPromise } from 'axios';

export const getTableList = (params?: any): AxiosPromise<any> => {
  return request({
    url: '/zjk-api/inoutCheck/productList',
    method: 'get',
    params
  });
};

export const getDetailList = (params?: any): AxiosPromise<any> => {
  delete params.total;
  return request({
    url: '/zjk-api/inoutCheck/checkInfoList',
    method: 'get',
    params
  });
};

export const getOssIds = (params) => {
  return request({
    url:'/zjk-api/inoutCheck/getFpIds',
    method:'get',
    params
  })
}
